=== debian/changelog ===
kernel-package (12.032) unstable; urgency=low

  * [5ba7956]: Adjust to compile.h moving to include/generated Patch
    contributed by Jean-Luc Coulon and Matt Krai.
    Bug fix: "Fails with Linux 2.6.33-rc1", thanks to Sven Joachim
    (Closes: #561569).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 04 Jan 2010 14:41:22 -0600

kernel-package (12.031) unstable; urgency=low

  * More XEN work.
  * [e6654f5]: Treat XEN images just like normal images in yet another
    place
 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Nov 2009 22:58:33 -0600

kernel-package (12.030) unstable; urgency=low

  * Minot tweak for the Xen images
    [b4a82ae]: Don't install vmlinux by default for XEN images
    If people want it, it can be set in the config file.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 21:25:19 -0600

kernel-package (12.029) unstable; urgency=low

  * Fix the fallout from the previous changes.
  * [dc3524a]: Decouple the name of the kernel image from the target
    In a number of cases the target we invoke and the image file
    produced have different names. kernel-package has historically
    coupled them, and taken corrective action in postinst, this commit,
    along with the previous one, moves us to a cleaner state.
    Bug fix: "make-kpkg binary-arch fails: No rule to make target
    `vmlinuz'", thanks to Євгеній Мещеряков          (Closes: #557102).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 10:24:00 -0600

kernel-package (12.028) unstable; urgency=low

  * More bug fixes with the XEN images.
  * [3ec0509]: Brown Paper bag spelling fix: iamge -> image
  * [34fa772]: Rework handling of XEN packages 
  
    So far, kernel-package would pay special attention to the
    configuration files that enabled XEN hypervisor/guest images, mangling
    the package name, and changing the file paths where the images were
    dumped. This caused no end of confusion to third party tools, and also
    surprised people when packages with different names had unexpected
    file conflicts. With dpkg defaulting to --force-overwrite that could
    be catastrophic.  This is because a normal kernel image, a XenU or a
    Xen0 image, all looked for modules in /lib/modules/$version, and would
    conflict.  
  
    With this commit, kernel-package stops paying attention to the XEN
    configuration hints in the config, producing a normal kernel image.
    If users want to have a DomU or a Dom0 image from the same kernel
    version, they will have to do what people wanting to run kernels witht
    he same version with differing configurations have always had to do:
    use --append-to-version to make the kernel images packages not
    conflict. 
    Bug fix: "postinstallation script uses wrong name for xen0 kernel",
    thanks to John Hughes                                (Closes: #556929).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 00:38:06 -0600

kernel-package (12.027) unstable; urgency=low

  * [8beaceb]: Fix the control file to use the new XEN image names
    Bug fix: "make-kpkg picks wrong name for xen kernel", thanks to John
    Hughes                                               (Closes: #556783).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 23:08:43 -0600

kernel-package (12.026) unstable; urgency=low

  * A new bug fixing version
  * [6d91188]: Add an example of cross compiling for a subarch Based on
    a bug report by Arthur Marsh 
  * [b9434e8]: Change the name of the Xen image packages to be closer to
    grub expectations 
    Bug fix: "standard make-kpkg proceedure creates xenu image", thanks to
    Alan BRASLAU                                        (Closes: #556043).
  * [a76509e]: Add .gnu_debuglink section to installed modules make-kpkg
    produces split debuginfo for modules and does not add .gnu_debuglink
    section. This causes problems with tools that expect debuginfo files
    with extension .debug (like libwd1, used by systemtap).
    Bug fix: "should add .gnu_debuglink section to kernel modules", thanks
    to Євгеній Мещеряков                                (Closes: #556130).
  * [22e91f3]: Add a new HOWTO from Stephen Powell

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 02:43:53 -0600

kernel-package (12.025) unstable; urgency=low

  * [08f81b5]: Remove mention of removed feature of on-the-fly patching
    The feature of patching the kernel while compiling it has been
    removed, since it was way more trouble than it was worth, did not
    play nice with a git repo, and has a n easy work around -- just pre-
    patching the source. This commit removes mentioning it as a
    supported feature. 
    Bug fix: "no documentation on how to apply patches", thanks to Felipe
    Sateler                                             (Closes: #552521).
  * [8969dc9]: Fix description of the --revision option If supplied,
    this sets the whole version of the package, not just the Debian
    revision. Rather than change behaviour and break people's setup,
    made the documentation reflect reality. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Nov 2009 00:23:01 -0600

kernel-package (12.024) unstable; urgency=low

  * New bug fixing release
  * [adc056e]: Fix the regular expression used for Xen images
    Also, correct the package name for the Xen image package in the
    maintainer scripts.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Oct 2009 13:11:09 -0500

kernel-package (12.023) unstable; urgency=low

  * [20ca199]: Properly record Xen image names Properly set Kimage for
    Xen images, and make the image maintainer scripts recognize these
    new names.
    Bug fix: "postinst file for xen kernel should be modified", thanks to
    Jean-Pierre Flori (Closes: #551657).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Oct 2009 18:57:04 -0500

kernel-package (12.022) unstable; urgency=low

  * 
  * [c526081]: Fix problems with building Xen kernel image packages

