## kernel-package 12.033

=== debian/changelog ===
kernel-package (12.033) unstable; urgency=low

  * New bug fixing revision
  * [5226aad]: Change perl pattern match expressions in maintainer
    scripts to use the first occurrence only Also, anchor matches to the
    beginning of line.
    Bug fix: "See Bug#568317: linux-image-* postinst did not correctly run
    lilo", thanks to Paul Szabo                            (Closes: #568823).
  * [88f663a]: Fix a cut-and-paste typo
    Bug fix: "[kernel-package] syntax error in
    rulesets/targets/common.mk", thanks to Daniel Schaal   (Closes: #564452).
  * [2292461]: Allow a 0 revision
    Dont just test $version, but make sure that it is defined
    and non-empty, and thus permit a 0 revision.
    Bug fix: "Doesn&#39;t allow 0 revision", thanks to Matt Kraai (Closes: #566510).
  * [b804928]: Add a -j/--jobs option to make-kpkg
    This allows the user to build a kernel image package in parrallel, by
    using the internal CONCURRENCY_LEVEL variable. Idea and code from
    owen.riddy@gmail.com. 
    Bug fix: "Please add a &#39;-jX&#39; flag to make-kpkg", thanks to
    owen.riddy@gmail.com                                        (Closes: #569760).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 15 Feb 2010 20:20:40 -0800
