## kernel-package 12.036%2Bnmu3

=== debian/changelog ===
kernel-package (12.036+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typos in man pages, thanks to Chris Leick, and other formatting
    errors. (Closes: #654451)
  * Add German man pages translation by Chris Leick. (Closes: #654315)
  * Update man pages French translation.
  * kernel/ruleset/targets/common.mk: Allow building > 3.3 kernel, thanks to
    Ben Hutchings for the patch. (Closes: #663474)

 -- David Prévot <taffit@debian.org>  Wed, 15 Aug 2012 11:46:24 -0400

kernel-package (12.036+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove minimum-version checks that were incorrect for Linux 3.x and
    were already satisfied by Linux 2.6.26 (lenny) (Closes: #635563)
  * Look for lguest tools in both Documentation/virtual/lguest and
    Documentation/lguest (Closes: #638012)
  * Do not suggest obsolete ksymoops package (Closes: #637421)
  * Fix incompatibility with make 3.82 due to indentation with spaces
    (Closes: #635019), thanks to Jens Lody
  * Fix native builds on armel and armhf (Closes: #633743):
    - Test for cross-compilation by comparing build CPU name with host
      CPU name, not host Debian architecture name
    - Merge armel.mk into arm.mk
    - Add default configuration for armhf
  * Change all example revisions in README to begin with a digit, as
    now expected by dpkg (Closes: #620515)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 04 Mar 2012 01:36:38 +0000

kernel-package (12.036+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Manpages translations:
    - French. Closes: #598048
  * Fix the clean target to actually clean translated manpages.

 -- David Prévot <david@tilapin.org>  Tue, 09 Nov 2010 19:25:36 -0400

kernel-package (12.036) unstable; urgency=high

  * Fixing bugs introduced in the last bug fixing release
  * [9b4c1f8]: [master]: remove spurious symlink from examples
    Bug fix: "No such file or directory", thanks to Tino Keitel
                                                     (Closes:  #589700).
  * [198831c]: [master]: Cater to a cross compilation variable setting
    of - 
    Bug fix: "64-bit kernel build on i386 is broken", thanks to Sven
    Joachim                                           (Closes: #589704).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jul 2010 22:49:06 -0700

kernel-package (12.035) unstable; urgency=high

  * More bug fixes. Priority high since it fixes an important (previously
    "grave") bug. 
  * [4729677]: [master]: Make make-kpkg clean less verbose
    Bug fix: "too verbose on clean target", thanks to Cameron Hutchison
                                                         (Closes: #576926).
  * [805647d]: [master]: Do not pass -nc to dpkg-buildpackage Passing -
    nc made dpkg-buildpackage default to not building source, and that
    caused the buildpackage to fail (arguably, this is a bug in dpkg).
    Bug fix: "make-kpkg buildpackage fails with 2.6.33", thanks to
    Christoph Anton Mitterer                             (Closes: #581182).
  * two patches to improve symlink creation with kernel-package example
    scripts, thanks to  Anisse Astier <anisse@astier.eu>

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Jul 2010 11:20:46 -0700

kernel-package (12.034) unstable; urgency=low

  * Bug fixes.
  * [277021f]: [master]: Fixed incomplete paranoid check for image names
    in postinst Thanks to crazyorcmeister@gmail.com
    Bug fix: "Fails to build linux-image on 2.6.35-rc4 if
    CONFIG_LOCALVERSION is set", thanks to Sven Joachim (Closes: #588126).
  * [0f83b83]: [master]: allow arch specific Makefiles to override
    objcopy as needed. kernel-package fails to build a kernel package on
    hppa when the target kernel is 64-bit. It fails because kernel-
    package uses hardcoded "objcopy" to build /usr/lib/debug debuginfo
    files for kernel modules but 64-bit kernel needs crosscompile prefix
    on parisc and normal objcopy does not understand the 64-bit module
    format. This change uses the same mechanism as the kernel Makefiles
    to allow arch specific Makefiles to specify what to use as objcopy.
    Bug fix: "wrong objcopy on 64-bit parisc, debug symbol stripping
    fails", thanks to Meelis Roos                        (Closes: #576725).
  * [f0bf2cf]: [master]: use KERNELRELEASE instead of version in the few
    remaining places. The generated debian/control file uses version
    rather than KERNELRELEASE varible which means that extra/local
    verion doesn't get into the file and the package build fails. This
    patch converts the remaining places that do not use KERNELRELEASE.
    Thanks to Michal Hocko <mstsxfx@gmail.com>           Closes: Bug#588126
    Signed-off-by: Manoj Srivastava <srivasta@debian.org>
  * [49d0e16]: [master]: Allow $(DEB_DEST) to be Overridden
    Bug fix: "Please Allow $(DEB_DEST) to be Overridden", thanks to
    Elliott Mitchell                                       (Closes: #572398).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 18 Jul 2010 10:00:10 -0700
