## kernel-package 12.036+nmu1

=== Makefile ===
--- 
+++ 
@@ -165,8 +165,8 @@
             rm  kernel-img.conf.$$lang.5      ;      \
 	  test ! -f kernel-package.$$lang.5 ||       \
             rm  kernel-package.$$lang.5       ;      \
-	  test ! -f make-kpkg.$$lang.5 ||            \
+	  test ! -f make-kpkg.$$lang.8 ||            \
             rm  make-kpkg.$$lang.8            ;      \
-	  test ! -f kernel-packageconfig.$$lang.5 || \
+	  test ! -f kernel-packageconfig.$$lang.8 || \
             rm  kernel-packageconfig.$$lang.8 ;      \
         done
