=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: kernel
 Build-Depends-Indep: po4a (>= 0.31)
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.8.3.0
+Standards-Version: 3.8.4.0
 
 Package: kernel-package
 Description: A utility for building Linux kernel related Debian packages.
