## kernel-package 13.014

=== debian/changelog ===
kernel-package (13.014) unstable; urgency=medium

  * There was a bug in the dh install configuration file, that moved all
    kernel-package conf files to /etc/etc/. This commit fixes that.
    (Closes: #751751).
  * jumped on a s390x porterbox, and created initial support for a s390x
    architecture, based mostly on what we did for s390. (Closes: #750604).
  * Bug fix #751751: "conffiles not removed", thanks to Paul Wise. We
    handled obsolete conffiles sub-optimally since they were not really
    supposed to be obsolete.
  * Bug fix #750604: "No Support in kernel-package for s390x
    architecture", thanks to Stephen Powell

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Jun 2014 12:22:12 -0700

kernel-package (13.013) unstable; urgency=low

  * kernel-img built with the current kernel-package fails to install on
    an older system (wheezy) due to dependency on kernel-common package
    which is not available there. Based on a suggestion by Michal Hocko,
    changed the relationship to a Recommends, which is what it should have
    been in the first place.  (Closes: #749318).
  * Since the linux-image packages produced by make-kpkg recommend
    kernel-common, , development packages could be forced on to systems
    which installl kernel-common just for the man page. A patch from Sven
    Joachim fixes this oversight. (Closes: #749388).
  * Bug fix #749318: "kernel-img depends on kernel-common", thanks to
    Michal Hocko
  * Bug fix #749388: "postinst should not call dpkg-architecture", thanks
    to Sven Joachim

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 May 2014 17:19:04 -0700

kernel-package (13.012) unstable; urgency=low

  * There are three different views of what architecture a machine hasL
    That of the linux kernel, that of dpkg, and that of the GNU
    configuration systems, So, when the user specifies arch and subarch,
    the information has to be transformed for all the systems, as
    required. This commit tries to give the correct information to dpkg,
    and also still take into account sub architecture specifications.
    (Closes: #748702).
  * Add a dependency on dpkg-dev for the kernel-common package, since the
    maintainer scripts use dpkg-architecture. Alsom kernel-package can't
    really do anything useful without pkg-dev, so added there as well.
    (Closes: #748862).
  * Bug fix #748702: "make-kpkg creates packages with missing architecture
    on i386", thanks to Sven Joachim
  * Bug fix #748862: "missing dependency on dpkg-dev", thanks to Adam
    Borowski


 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 May 2014 23:41:57 -0700

kernel-package (13.011) unstable; urgency=low

  * The fix for building packages with the correct sub--architecture was
    flawed, in the sense it always looked at theKPKG_ARCH, even when there
    was no need to stray away from DEB_HOST_ARCH. This commit relieas on
    dpkg-architecture to tell us what the proper arch should be for a
    situation where we are building for a subarchitecture.
    (Closes: #748316).
  * Bug fix #748316: "Arch set to x86_64 instead of amd64", thanks to Geoff
    Simonds

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 May 2014 21:16:25 -0700

kernel-package (13.010) unstable; urgency=low

  * No longer have generated kernel images depend on ksymoops, a long
    defunct package, since it is useless with kernels >= 2.6.
    (Closes: #748066).
  * When the user asks for the arch name to be part of the kernel image
    package version string, only image and debig packages included the
    arch in the name. This commit makes the name of the header package
    also be consistent with the image names. At this point, the source and
    document/manual package names remain generic, since arch specific
    differences should not exist in those packages. (Closes: #568576).
  * the image packages generated by kernel-package also build in the
    modules requested in the configuration file, so there is no
    linux-moules-* package. However, in case there are dependencies on
    that package name, the image package now also claims to provide the
    modules package. (Closes: #599815).
  * In order to ease the life of people cross compiling, or building for a
    subarch, do not call dpkg-gencontrol with the host archtecture, but
    rather, with the architecture we built the kernel image for.
    (Closes: #563300).
  * Hopped on to an armel machine to test make-kpkg. The CPU is reported
    as arm by dpkg-architecture, so the top level logic in kernel-package
    was correct.Unfortunately, the armel specific file wassumed the CPU
    was armel, so nothing got included.  Corrected that inner check in
    this release.  (Closes: #664854).
  * Bug fix #748066: "generated linux-image packages suggest ksymoops",
    thanks to Sven Joachim
  * Bug fix #568576: "builds non-matching kernel and headers packages",
    thanks to Michal Suchanek <hramrach@centrum.cz>
  * Bug fix #599815: "make-kpkg doesn't set correctly 'Provides: '
    field", thanks to Gérald Colangelo
  * Bug fix #563300: "on cross compile the 'control' file contains host
    architecture", thanks to Michael Tuschik
  * Bug fix #664854: "kernel-package no longer supports armel
    architecture", thanks to David Madore

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 10:54:44 -0700

kernel-package (13.009) unstable; urgency=low

  * pared down on the list of suggested packages, and added to the build
    dependencies packages that are actually useful when building kernels
    (as opposed to packages that might be required for kernel images).
    (Closes: #747925).
  * only make the kernel depend on initramfs tools if a initrd was
    requested.  This reduces the number of dependencies to those really
    required.  (Closes: #747911).
  * Created a new kernel-common package to host kernel-img.conf
    manpages. Create a default kernel-img.conf similar to the one

