## kernel-package 13.014+nmu1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################ -*- Mode: Makefile -*- ###########################
-## Makefile --- 
-## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
+## Makefile ---
+## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
 ## Created On       : Tue Nov 18 15:53:52 2003
 ## Created On Node  : glaurung.green-gryphon.com
 ## Last Modified By : Manoj Srivastava
@@ -8,11 +8,11 @@
 ## Last Machine Used: anzu.internal.golden-gryphon.com
 ## Update Count     : 36
 ## Status           : Unknown, Use with caution!
-## HISTORY          : 
-## Description      : 
-## 
+## HISTORY          :
+## Description      :
+##
 ###############################################################################
-prefix=
+prefix=$(DESTDIR)
 package = kernel-package
 
 CONFLOC    := /etc/kernel-pkg.conf
@@ -33,6 +33,7 @@
 MAN5DIR    = $(prefix)/usr/share/man/man5
 MAN8DIR    = $(prefix)/usr/share/man/man8
 
+version := $(shell dpkg-parsechangelog --show-field Version)
 
 
 BASH_DIR:= $(prefix)/etc/bash_completion.d
