=== debian/changelog ===
kernel-package (13.014+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move examples to /usr/share/kernel-common and symlink from
    /u/s/d (Closes: #767857)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 26 Nov 2014 21:56:16 +0000
