=== debian/control ===
Source: kernel-package
VCS-Git: git://anonscm.debian.org/users/srivasta/debian/kernel-package.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/kernel-package.git;a=summary
Priority: optional
Section: kernel
Build-Depends-Indep: po4a (>= 0.31), debhelper (>= 9)
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.9.5

Package: kernel-package
Architecture: all
Depends: build-essential, po-debconf, gettext, file, ${misc:Depends},
          bc, binutils, kmod, xz-utils, xmlto, lzma, bzip2, dpkg-dev
Recommends: docbook-utils, cpio, uboot-mkimage, kernel-common
Suggests: linux-source, libncurses-dev
Description: utility for building Linux kernel related Debian packages
 This package provides the capability to create a Debian kernel image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.

Package: kernel-common
Architecture: all
Depends: ${misc:Depends}
Suggests: kernel-package
Enhances: kernel-package, linux-image
Replaces: kernel-package (<= 13.008)
Description: common elements for generated kernel packages
 This package provides the common elements that are useful for the
 package generated by kernel-package, but which may be installed on
 machines that kernel-package is not itself installed on, for instance,
 manual pages pertaining to the kernel image packages
 .
 It also contains example scripts that may be use when installed in
 /etc/kernel/*.d directories, to take action when the kernel image or
 header packages are installed.
