## kernel-package 13.018

=== debian/changelog ===
kernel-package (13.018) unstable; urgency=low

  * Remove the configuration files that only appeared in one rleease to
    unstable due to a misunderstanding of ./debian/conffile whicle moving
    to dh.
  * Bug fix: "conffiles not removed", thanks to Paul Wise (Closes:
    #776340).
  * Bug fix: "doesn&#39;t clean up correctly", thanks to Christoph Anton
    Mitterer (Closes: #751825).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 16 Feb 2016 15:34:41 -0800

kernel-package (13.017) unstable; urgency=high

  * Bug fix: "Resultant kernels may need to depend upon kmod", thanks to
    Elliott Mitchell (Closes: #774601).
  * Bug fix: "Installed vmlinuz file has insufficient read permissions",
    thanks to Toby Speight (Closes: #775834).
  * Bug fix: "please document passing CFLAGS (actually KCFLAGS) to kernel
    makefile", thanks to Arthur Marsh (Closes: #777105).
  * Bug fix: "does not depends on initramfs-tools when using --initrd",
    thanks to Cyril B. (Closes: #780278).
  * Bug fix: "cannot produce debs anymore", thanks to Ritesh Raj Sarraf
    The real issue here was that the kernel was built using the deprecated
    sudo, instead of fakeroot, and created ./debian directory as
    root. Clean, however, is not run as root, so it could not delete
    ./debian, and failed. This is now documented. (Closes: #812470).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 15 Feb 2016 10:53:24 -0800

kernel-package (13.016) unstable; urgency=high

  * New bug fixing release
  * Bug fix: "sample.module.control.dpkg-new missing", thanks to Adam
    Borowski. dpkg does not like converting a link to a directory.
    (Closes: #810901).
  * Bug fix: "Description refers to wrong file name", thanks to Ben Harris
    (Closes: #766107).
  * Bug fix: "Wheezy compatibility: &quot;dpkg-parsechangelog
    --show-field&quot; unsupported", thanks to Sven-Haegar Koch. Used
    suggested change  (Closes: #779309).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Jan 2016 22:32:26 -0800

kernel-package (13.015) unstable; urgency=low

  * Updated the Copyright file to machine readable format
  * Updated to policy version 3.6.0. No changes required
  * Updated the VCS-* fields in the control file to use https transport.
  * Bug fix: "French translation update", thanks to David Prévot (Closes:
    #789078).
  * Bug fix: "--revision is broken (again)", thanks to Roland Koebler
    Actually, in this case, it is the documentation which is broken; it
    fails to mention that the revision number must start with a
    digit. (Closes: #782447).
  * Bug fix: "make-kpkg(1) says initramfs hook scripts need to be
    explicitly enabled", thanks to Ben Hutchings> Explicitly note that
    initramfs-tools installs scripts, as does dracut. (Closes: #765609).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Jan 2016 00:53:17 -0800

kernel-package (13.014+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the install device-tree rule by dtbs_install (Closes: #804518)
  * Include patches to support s390x (Closes: #751928)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 18 Nov 2015 12:27:43 +0800

kernel-package (13.014+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Install device-tree dtbs. (Closes: #782759)
  * Support arm64 arch. (Closes: #796064, #796879, #799968)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 06 Oct 2015 22:46:33 +0800
