## kernel-package 13.018%2Bnmu1~bpo9%2B1

=== debian/changelog ===
kernel-package (13.018+nmu1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 26 Jan 2018 15:27:47 +0300

kernel-package (13.018+nmu1) unstable; urgency=medium

  [ Tobias Frost ]
  * Non-maintainer upload.
  * Do not install REPORTING-BUGS when not available (Closes: #848066,
      #849357, #856322)

 -- Tobias Frost <tobi@debian.org>  Sun, 16 Jul 2017 10:52:57 +0200
