## kernel-package 13.018+nmu1

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,8 @@
 MAN5DIR    = $(prefix)/usr/share/man/man5
 MAN8DIR    = $(prefix)/usr/share/man/man8
 
-version := $(shell dpkg-parsechangelog --show-field Version)
+version := $(strip $(shell LC_ALL=C dpkg-parsechangelog          |       \
+                                      egrep '^Version:' | cut -f 2 -d ' '))
 
 
 BASH_DIR:= $(prefix)/etc/bash_completion.d
@@ -103,7 +104,7 @@
 	$(install_file)    Problems                          $(DOCDIR)/Problems
 	$(install_file)    debian/NEWS.Debian                $(DOCDIR)/
 	$(install_file)    _make-kpkg                        $(BASH_DIR)/make_kpkg
-	gzip -9fqr         $(DOCDIR)
+	gzip -9fqrn        $(DOCDIR)
 	(cd $(DOCDIR);     for file in $(DOCFILES); do                  \
                             ln -s ../../$(package)/docs/$$file $$file;  \
                            done)
@@ -135,7 +136,7 @@
           test ! -f kernel-packageconfig.$$lang.8     ||                                               \
            $(install_file) kernel-packageconfig.$$lang.8 $(MANTOP)/$$lang/man8/kernel-packageconfig.8; \
         done
-	gzip -9fqr         $(prefix)/usr/share/man
+	gzip -9fqrn        $(prefix)/usr/share/man
 	$(install_file)    kernel-pkg.conf            $(prefix)/etc/kernel-pkg.conf
 	$(install_program) kernel-packageconfig       $(prefix)/usr/sbin/kernel-packageconfig
 	$(install_program) make-kpkg                  $(prefix)/usr/bin/make-kpkg
