## kernel-package 13.018+nmu2

=== Makefile ===
--- 
+++ 
@@ -110,7 +110,6 @@
                            done)
 	$(install_file)    debian/copyright  	      $(DOCDIR)/copyright
 	$(install_file)    kernel-pkg.conf.5 	      $(MAN5DIR)/kernel-pkg.conf.5
-	$(install_file)    kernel-img.conf.5 	      $(MAN5DIR)/kernel-img.conf.5
 	$(install_file)    kernel-package.5  	      $(MAN5DIR)/kernel-package.5
 	$(install_file)    make-kpkg.8       	      $(MAN1DIR)/make-kpkg.1
 	$(install_file)    kernel-packageconfig.8     $(MAN8DIR)/
@@ -119,10 +118,6 @@
                                                          mkdir -p $(MANTOP)/$$lang/man5;               \
           test ! -f kernel-pkg.conf.$$lang.5          ||                                               \
            $(install_file) kernel-pkg.conf.$$lang.5   $(MANTOP)/$$lang/man5/kernel-pkg.conf.5;         \
-          test ! -f kernel-img.conf.$$lang.5          || test -d $(MANTOP)/$$lang/man5    ||           \
-                                                         mkdir -p $(MANTOP)/$$lang/man5;               \
-          test ! -f kernel-img.conf.$$lang.5          ||                                               \
-           $(install_file) kernel-img.conf.$$lang.5   $(MANTOP)/$$lang/man5/kernel-img.conf.5;         \
           test ! -f kernel-package.$$lang.5           || test -d $(MANTOP)/$$lang/man5    ||           \
                                                          mkdir -p $(MANTOP)/$$lang/man5;               \
           test ! -f kernel-package.$$lang.5           ||                                               \
@@ -163,8 +158,6 @@
 	for lang in de fr; do                        \
           test ! -f kernel-pkg.conf.$$lang.5 ||      \
             rm  kernel-pkg.conf.$$lang.5      ;      \
-	  test ! -f kernel-img.conf.$$lang.5 ||      \
-            rm  kernel-img.conf.$$lang.5      ;      \
 	  test ! -f kernel-package.$$lang.5 ||       \
             rm  kernel-package.$$lang.5       ;      \
 	  test ! -f make-kpkg.$$lang.8 ||            \
