=== debian/changelog ===
kernel-package (13.018+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * kernel-common: Remove kernel-img.conf(5) and recommend linux-base
    instead (Closes: #947340; see #925415)
  * Refresh translation files for removal of kernel-img.conf(5)
  * debian/control: Point Vcs-{Browser,Git} at Salsa

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 25 Dec 2019 22:27:29 +0000
