=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: kernel-package
-VCS-Git: https://anonscm.debian.org/git/users/srivasta/debian/kernel-package.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=users/srivasta/debian/kernel-package.git;a=summary
+VCS-Git: https://salsa.debian.org/srivasta/kernel-package.git
+VCS-Browser: https://salsa.debian.org/srivasta/kernel-package
 Priority: optional
 Section: kernel
 Build-Depends-Indep: po4a (>= 0.31), debhelper (>= 9)
@@ -29,6 +29,7 @@
 Package: kernel-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: linux-base (>= 4.6~)
 Suggests: kernel-package
 Enhances: kernel-package, linux-image
 Replaces: kernel-package (<= 13.008)
